Как запретить обновление определённых пакетов в Debian Wheezy?

Допустим у нас есть 2 пакета oracle-java8-installer и oracle-java8-set-default, нам необходимо заблокировать их обновление, для этого выполним вот такие вот команды в консоли:

echo "oracle-java8-installer hold" | sudo dpkg --set-selections

echo "oracle-java8-set-default hold" | sudo dpkg --set-selections

 Для того чтобы разморозить указанные пакеты необходимо выполнить:

echo "oracle-java8-installer" | sudo dpkg --set-selections 

echo "oracle-java8-set-default" | sudo dpkg --set-selections

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *